

{% extends "general/base.html" %}

{% block title %}
	Login
{% endblock %}

{% block content %}

    {% if messages %}

        {% for message in messages %}

        <!--Panel-->
        <div class="card border-success mb-3">
            <div class="card-header text-success">
                <p class="card-title" align="center">{{ message }}</p>
            </div>
        </div>
        <!--/.Panel-->
        
        {% endfor %}

    {% endif %}

<div class="container mt-4">
    <div class="row align-self-center">

        <div class="col-md-4"></div>

        <div class="col-md-4 mt-5">

            <form method="post" class="text-center border border-secondary p-5">

                <p class="h4 mb-4">Log in to Reminders</p>

                {% csrf_token %}

                <p>
                    <p>
                        <p><input id="id_username" name="username" placeholder="Username" type="text" class="form-control"></p>
                    </p>
                    <p>
                        <p><input id="id_password" name="password"
                        placeholder="Password" type="password" class="form-control"></p>
                    </p>
                </p>
                {% if form.errors %}
                    <p class="text-danger">
                        Your username and password didn't match.
                        Please try again.
                    </p>
                {% endif %}

                <!-- Sign in button -->
                <button class="btn btn-secondary btn-block my-4" type="submit">Sign in</button>
                <input type="hidden" name="next" value="{{ next }}" />


                <!-- Register -->
                <p>Not a member?
                    <a href="{% url 'signup' %}">Register</a>
                </p>

            </form>

        </div>

        <div class="col-md-2"></div>

    </div>
</div>

{% endblock %}
